Jump to content

The 7D2D Mod Launcher - A Mod Launcher for 7 Days to Die


Recommended Posts

issues with loading screen

 

First Question ... What Game are you trying to Launch ??

Some of the mods _ due to size will take a long time to load up or it seems forever .. examples .. WOW and Ravenhearst can take up to 3 - 7 minutes just to get into the 7D2D launch window where the option list is the first time .. It does get better .. but don't look for Instant ....

Remember .. this Launcher is updating files as you begin a game each time and checking them ...... Some of the games are quick and some are VERY Slow. ( I sometimes go get a drink while waiting ) .

 

Just a thought .. Have Fun and Enjoy .. from the old Gamer

 

If it was that easy I wouldn't have bothered posting. I played War of the Walkers fine with no such long delays previously. I've even left it for over 30 minutes. Oh well no matter.

Link to post
Share on other sites
If it was that easy I wouldn't have bothered posting. I played War of the Walkers fine with no such long delays previously. I've even left it for over 30 minutes. Oh well no matter.

 

Sorry you are still having trouble. Next time you get that error, would you mind posting a few logs for me to look at?

 

With the mod selected, click on the View menu, then Log Files. Select the 7d2dlauncher.txt and click on Upload Log file. Give me the link to that pastebin.com link. In the same screen, you'll see the output_log.txt. You can upload that log file as well, and we'll see if we can get you sorted

Link to post
Share on other sites

Good morning Sphereii

 

I was wondering if you got the Launcher patch up ........... Not trying to rush you .. just wondering, didn't see any notes and I didn't see an update for "Darkness Falls" or is that still being worked on.

 

You try and have a great weekend ... the Old Gamer ..:02.47-tranquillity:

Link to post
Share on other sites
Good morning Sphereii

 

I was wondering if you got the Launcher patch up ........... Not trying to rush you .. just wondering, didn't see any notes and I didn't see an update for "Darkness Falls" or is that still being worked on.

 

You try and have a great weekend ... the Old Gamer ..:02.47-tranquillity:

 

I got back home this morning and been looking at it. I think it might be just adding a dependency on the newer .NET framework, which will be auto-installed in a few minutes, once I push this minor update. Let me know if it fixes the problem for you, as I have been unable to reliably reproduce it.

Link to post
Share on other sites

Weird... This is the 2nd or 3rd time its happened to me. Last night I played Valmod. Then this morning I closed 7D2D and then selected War of the Walkers (Left tree window) and tried to play (far right "Play Mod"), during creating player it gave me: "IndexOutOfRangeException: Array index is out of range." errors. Once I spawned into the game it said "Welcome to Valmod." Last time the save was corrupted, this time after spawning in as "valmod" I exited and just checked save by logging in with War of the Walkers and entire inventory is lost with the exception of the Land Claim Block... Base and stuff still there but character is back at level 1.

 

Launcher: https://pastebin.com/7FTFdyWK

War of the Walkers: https://pastebin.com/7h9AS5Pa

 

Those are the only logs listed.

EDIT: Day has not reset and is at 23, quest log is empty.

Edited by Cadamier (see edit history)
Link to post
Share on other sites
Weird... This is the 2nd or 3rd time its happened to me. Last night I played Valmod. Then this morning I closed 7D2D and then selected War of the Walkers (Left tree window) and tried to play (far right "Play Mod"), during creating player it gave me: "IndexOutOfRangeException: Array index is out of range." errors. Once I spawned into the game it said "Welcome to Valmod." Last time the save was corrupted, this time after spawning in as "valmod" I exited and just checked save by logging in with War of the Walkers and entire inventory is lost with the exception of the Land Claim Block... Base and stuff still there but character is back at level 1.

 

Launcher: https://pastebin.com/7FTFdyWK

War of the Walkers: https://pastebin.com/7h9AS5Pa

 

Those are the only logs listed.

EDIT: Day has not reset and is at 23, quest log is empty.

 

Did you connect to a Valmod server with War of the Walkers mod installed locally?

Link to post
Share on other sites

(...)

INFO 4 _7D2DLauncher.frmMain - System.Net.WebException: The request was aborted: Could not create SSL/TLS secure channel.

at System.Net.WebClient.DownloadFile(Uri address, String fileName)

at _7D2DLauncher.frmMain.DoDownload(String strDownload)

(...)

 

Ah, looks like i'm not just stupid and the only one with this problem..

 

Getting this error, with any mod I try to install. No exceptions.

Log excerpt if it's of any help (it basically repeats the same entries with every following install attempt, so I didn't put the full wall of text in.):

https://pastebin.com/bmByR1RQ

 

My typical luck with these things lol. Today I finally decide to check out some mods extensively and find this launcher. And since I'm very lazy and hate the file juggling when switching mods I'm happy it exists. Hope you get it up and running again soon and thanks for your work! :)

Link to post
Share on other sites
Ah, looks like i'm not just stupid and the only one with this problem..

 

Getting this error, with any mod I try to install. No exceptions.

Log excerpt if it's of any help (it basically repeats the same entries with every following install attempt, so I didn't put the full wall of text in.):

https://pastebin.com/bmByR1RQ

 

My typical luck with these things lol. Today I finally decide to check out some mods extensively and find this launcher. And since I'm very lazy and hate the file juggling when switching mods I'm happy it exists. Hope you get it up and running again soon and thanks for your work! :)

 

Oh it's definitely not something you are doing :)

 

GitHub dropped SSL support yesterday, which was kind of old protocol anyway, and just allow TLS1.2 now. Unfortunately, the different versions of .NET and windows has wonky support for that protocol. I'm playing around with some releases today to try to fix it, but it seems if you have the latest version of the .NET 4 installed, it'll work better.

 

The Mod Launcher should auto-update to this in 1.0.4.7 or higher.

Link to post
Share on other sites

Attention Windows 7 Users!

 

Due to GitHub changing from SSL to TLS, the Mod Launcher had to update in order to authenticate to download! This is available in the new Mod Launcher verison 1.0.4.8 and Higher.

 

However, for Windows 7, TLS support is *not* enabled by default.

 

Microsoft has an easy to use program to enable it:

 

1) Download their tool: https://download.microsoft.com/download/0/6/5/0658B1A7-6D2E-474F-BC2C-D69E5B9E9A68/MicrosoftEasyFix51044.msi

 

2) Run the Tool and apply the EasyFix

 

3) Reboot your computer ( Do not skip this step, otherwise it won't work)

 

This is a one-time program to run, and only if you are running Windows 7.

 

All current versions of Windows are compatible with TLS by default (8, 10).

 

If you still get a message about Required .NET Framework upgrade, and it does not install it automatically, download it here: https://www.microsoft.com/en-ca/download/details.aspx?id=49981

 

I thank you all for your patience over the last 24 hours that this change was pushed out, and please let me know if any mods still does not work for you.

Edited by sphereii (see edit history)
Link to post
Share on other sites
Sphereii .. Afternoon

 

Has it been update yet ?? Main page is still showing " Update Version 1.0.4.6 - January 4th, 2018 " ........ Just wondering before going into Launcher.

 

Have a good one.......... :02.47-tranquillity:

 

Done, kind sir! I pushed the release a few hours ago, and things seem to be going well for the affected users.

Link to post
Share on other sites

Hi sphereii! I just came back to 7DTD after a small break, and the mod launcher suddenly fails at every download. I tried to update/DL several different mods (your Winter Mod, Tins Dying Lands, and now Starvation). They all just repeatedly throw "Error Downloading... Clearning corrupted data.". I was hoping your update today would help, but unfortunately it didn't fix this particular error. I'm on Win7 and also applied the EasyFix. I also already tried temporarily disabling my antivirus program completely. This is the log: https://pastebin.com/eP0u1pK0

I know I can just download the full mods directly, but I have really come to rely on the launcher's incremental updates, to make comparing and updating with my own file changes easier.

Link to post
Share on other sites
Hi sphereii! I just came back to 7DTD after a small break, and the mod launcher suddenly fails at every download. I tried to update/DL several different mods (your Winter Mod, Tins Dying Lands, and now Starvation). They all just repeatedly throw "Error Downloading... Clearning corrupted data.". I was hoping your update today would help, but unfortunately it didn't fix this particular error. I'm on Win7 and also applied the EasyFix. I also already tried temporarily disabling my antivirus program completely. This is the log: https://pastebin.com/eP0u1pK0

I know I can just download the full mods directly, but I have really come to rely on the launcher's incremental updates, to make comparing and updating with my own file changes easier.

 

Welcome back :) Sorry you are running into the error.

 

Have you rebooted since you applied the EasyFix? I usually avoid rebooting when I'm told to, but in this case it's necessary. The EasyFix updates a few registry values to enable the TLS.

Link to post
Share on other sites

The 7D2DModLauncher has stopped working for me too ('System Update Required: Unable to run or install this application. This application requires version 4.6.1 Full or other compatible .NET Framework').

 

It was working last night (Sat 24th Feb / War of The Walkers), but not this morning.

 

I've tried installing the EasyFix but no success (still getting the 'system update required' error).

 

I'm running Windows 7 (Avast Disabled / Installed msi through elevated command prompt / reboot)

Edited by nemo888 (see edit history)
Link to post
Share on other sites
Yes I did reboot, the log was taken after updating, easyfix and rebooting, and with Avast disabled.

 

The 7D2DModLauncher has stopped working for me too ('System Update Required: Unable to run or install this application. This application requires version 4.6.1 Full or other compatible .NET Framework').

 

It was working last night (Sat 24th Feb / War of The Walkers), but not this morning.

 

I've tried installing the EasyFix but no success (still getting the 'system update required' error).

 

I'm running Windows 7 (Avast Disabled / Installed msi through elevated command prompt / reboot)

 

Did the .NET auto-install? Here's the link for a manual install: https://www.microsoft.com/en-ca/download/details.aspx?id=49981

Link to post
Share on other sites
Great tool Sphereii , it makes our life mush easier.

 

Is there a way to prevent the launcher from copying mod files every launch?

 

There's a few things you can do. By design, it wants to over-write and keep everything up to date, because running an out of date mod is potentially against what the modder wants.

 

However, for people who love tweaking, it's a bit of a challenge. Here's a few things you can do, and you may choose what works best for you.

 

[ Simple and Easy ]

1) Make your changes under TempMods. Then, uncheck the Refresh Mods automatically, and play as normal.

 

2) Make your changes as you normally would, and run the 7daystodie.exe manually, skipping the Mod Launcher completely.

 

[ Advanced ]

 

3) Make your changes in the files, then host the files somewhere, and create a My mod to download the full mod, then download your changes.

Link to post
Share on other sites
The Win7 related fix seems to have done the trick. Many thanks!

 

Glad it worked for you!

 

The love of Windows 7 is still strong; and the distrust of 8/10 even stronger, it seems.

 

Fun Facts!

 

Windows 7 was released in 2009, with 8 appearing in 2012 and 10 in 2015.

 

Mainstream support ended on January 13, 2015.

Extended support ends on January 14, 2020.

Installing Service Pack 1 is required for users to receive updates and support after April 9, 2013.

Link to post
Share on other sites
There's a few things you can do. By design, it wants to over-write and keep everything up to date, because running an out of date mod is potentially against what the modder wants.

 

However, for people who love tweaking, it's a bit of a challenge. Here's a few things you can do, and you may choose what works best for you.

 

[ Simple and Easy ]

1) Make your changes under TempMods. Then, uncheck the Refresh Mods automatically, and play as normal.

 

2) Make your changes as you normally would, and run the 7daystodie.exe manually, skipping the Mod Launcher completely.

 

[ Advanced ]

 

3) Make your changes in the files, then host the files somewhere, and create a My mod to download the full mod, then download your changes.

thx for the fast reply, yeah was doing option 2, kinda defeats the purpose of the launcher tho, would be nice to have it as a setting or something in the future to have a manual upgrade/sync/copy check/button.

 

Have a nice day!

Link to post
Share on other sites
Did you connect to a Valmod server with War of the Walkers mod installed locally?

 

That night I did connect to our dedi with Valmod, etc. using the Mod Launcher. Then the next morining I closed the client and then highlighted WotW in the launcher and tried to play a local game with the resultant corruption/player info wipped.

 

EDIT: Happened 2 days ago, but the launcher updated yesterday.

Link to post
Share on other sites
Did the .NET auto-install? Here's the link for a manual install: https://www.microsoft.com/en-ca/download/details.aspx?id=49981

I had already installed the new net framework manually, after seeing the launcher's requirement message. So that's not it for me either. Besides, the "error downloading" message I'm getting and the error in the log seem to be different from those who just had the Github-related problem.

Link to post
Share on other sites
Sorry you are still having trouble. Next time you get that error, would you mind posting a few logs for me to look at?

 

With the mod selected, click on the View menu, then Log Files. Select the 7d2dlauncher.txt and click on Upload Log file. Give me the link to that pastebin.com link. In the same screen, you'll see the output_log.txt. You can upload that log file as well, and we'll see if we can get you sorted

 

7DTDlauncher.txt

https://pastebin.com/t05XLFrs

 

output_log.txt

https://pastebin.com/0fhAyuxV

 

I hate to bother you seeing how busy you are. When I select play mod It is now stopping at the command line

Copying is Done.

Launching \7DaysToDie.exe

Link to post
Share on other sites
That night I did connect to our dedi with Valmod, etc. using the Mod Launcher. Then the next morining I closed the client and then highlighted WotW in the launcher and tried to play a local game with the resultant corruption/player info wipped.

 

EDIT: Happened 2 days ago, but the launcher updated yesterday.

 

The index out of error occurred by a trader bug it seems. Likely an NPC or something got too close to a trader, and it crashed the mod. While the launcher is showing an error downloading, it's actually throwing an error on the RSS feed, but not the mod download itself.

 

- - - Updated - - -

 

I had already installed the new net framework manually, after seeing the launcher's requirement message. So that's not it for me either. Besides, the "error downloading" message I'm getting and the error in the log seem to be different from those who just had the Github-related problem.

 

One users reported they installed 4.6.2, and it didn't seem to work for them. Once they installed 4.6.1, it started working. I'm not sure why that is, since the mod launcher doesn't really use anything special about those different versions. If you can confirm that 4.6.1 is installed, re-send your log files please, and I'l be happy to look.

Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...